
--	Names of the spells we can use to heal.
--	Note we do nothing with Tranquility.
SMH_SPELL_REGROWTH      = 'Regrowth';
SMH_SPELL_HEALING_TOUCH = 'Healing Touch';
SMH_SPELL_REJUVENATION  = 'Rejuvenation';
SMH_SPELL_NATURESSWIFTNESS = "Nature\'s Swiftness";
SMH_SPELL_CLEARCASTING  = 'Clearcasting';

SMH_SPELL_PROWL = 'Prowl';
SMH_SPELL_STEALTH = 'Stealth';
SMH_SPELL_SHADOWMELD = 'Shadowmeld';

SMH_CLASS_DRUID = 'Druid';
SMH_CLASS_HUNTER = 'Hunter';
SMH_CLASS_MAGE = 'Mage';
SMH_CLASS_PALADIN = 'Paladin';
SMH_CLASS_PRIEST = 'Priest';
SMH_CLASS_ROGUE = 'Rogue';
SMH_CLASS_SHAMAN = 'Shaman';
SMH_CLASS_WARLOCK = 'Warlock';
SMH_CLASS_WARRIOR = 'Warrior';

--	These commands need to be in lower case since all the input is
--	put into lower case before processing.
SMH_COMMAND_HELP = "help";
SMH_COMMAND_UI = "ui";
SMH_COMMAND_HEALINGTOUCH = "ht";
SMH_COMMAND_REGROWTH = "reg";
SMH_COMMAND_REJUVENATION = "rej";
SMH_COMMAND_MSG = "msg";
SMH_COMMAND_DEBUG = "debug";
SMH_COMMAND_NATURE = "nature";
SMH_COMMAND_TEST = "test";
SMH_COMMAND_OPTION_ON = "on";
SMH_COMMAND_OPTION_OFF = "off";

--	Specific commands output messages.
SMH_OUTPUT_MESSAGE_MESSAGE = "Messages";
SMH_OUTPUT_MESSAGE_DEBUG = "Debug";
SMH_OUTPUT_MESSAGE_NATURESSWIFTNESS = "Nature\'s Swiftness Cast";
SMH_OUTPUT_OPTION_OFF = "OFF";
SMH_OUTPUT_OPTION_ON = "ON";

--	Output from casting the heal.
SMH_INFORMATIVE_MESSAGE_CAST_NS = "Casting Nature\'s Swiftness";
SMH_INFORMATIVE_MESSAGE_NO_ONE = "No one to heal";
SMH_INFORMATIVE_MESSAGE_HEALINGFORMAT = "Casting %s (Rank %d) on %s";
SMH_INFORMATIVE_MESSAGE_OORFORMAT = "%s out of range.";
SMH_INFORMATIVE_MESSAGE_CANNOT_TARGETFORMAT = "Unable to target %s";
SMH_INFORMATIVE_MESSAGE_STEALTHFORMAT = "%s is Prowl/Stealth/Shadowmeld.";
SMH_INFORMATIVE_MESSAGE_INVISIBLEFORMAT = "%s is not visible.";
SMH_INFORMATIVE_MESSAGE_SPELL_LOSTFORMAT = "Was not able to find %s (Rank %d) in the spellbook for %s.";
SMH_INFORMATIVE_MESSAGE_NO_SPELLFORMAT = "No spell found appropriate for %s";

SMH_TOTAL_EXTRA_HEALING_FORMAT = "Total Extra Equipment Healing: %d";

--	Parsing spellbook.
SMH_SPELLBOOK_RANK_FORMAT = "^Rank (%d+)";
SMH_SPELLBOOK_MANA_FORMAT = '^(%d+) Mana';

SMH_TITLE_ALGORITHM = "Algorithm";

SMH_PRIORITY_LABEL_HIGH = "High";
SMH_PRIORITY_LABEL_NORMAL = "Normal";
SMH_PRIORITY_LABEL_LOW = "Low";
SMH_PRIORITY_LABEL_IGNORED = "Ignored";

SMH_HELP_LINES = {
	"%s                  performs the smart heal",
	"%s ht               performs smart heal with Healing Touch",
	"%s reg              performs smart heal with Regrowth",
	"%s rej              performs smart heal with Rejuvenation",
	"%s help             prints this help information",
	"%s msg \[on/off\]     toggles \[or sets\] whether party gets spell cast messages",
	"%s debug \[on/off\]   toggles \[or sets\] whether debug messages appear",
	"%s nature \[on/off\]  toggles \[or sets\] whether Nature\'s Swiftness is cast",
	"%s ui               shows/hides options panel",
	};

SMH_IntroductionTextFormat = "%s : For help use %s help";

SMH_RaidInstructionText = "Selected Raid Groups Have Priority";
SMH_DefaultInstructionText = "Default spell attempt order";
SMH_ClassPriorityText = "Class Priorities";
SMH_OverhealingText = "Overhealing Spell Ranks";

_smh_optionTabs = {
	{ "General", "Interface\\Icons\\Spell_Shadow_SoulGem" },
	{ "Algorithm", "Interface\\Icons\\Ability_Rogue_SliceDice" },
	{ "Raid", "Interface\\Icons\\Spell_Nature_Invisibilty" },
	{ "Test", "Interface\\Icons\\Spell_Ice_Lament" },
	{ "Classes", "Interface\\Icons\\Ability_Druid_SupriseAttack" },
	{ "More", "Interface\\Icons\\Ability_Druid_Disembowel" },
	};

_smh_defaultSpellIcons = {
	[SMH_SPELL_REGROWTH] = "Interface\\Icons\\Spell_Nature_ResistNature",
	[SMH_SPELL_REJUVENATION] = "Interface\\Icons\\Spell_Nature_Rejuvenation",
	[SMH_SPELL_HEALING_TOUCH] = "Interface\\Icons\\Spell_Nature_HealingTouch",
	};

--	The order of these is critical because the ids in the XML match
--	the indices in this table.
_smh_checkButtonTitles = {
	{ "debug",  "Print debug messages" },
	{ "checkingNaturesSwiftness",  "Attempts to cast Nature\'s Swiftness" },
	{ "partyOverRaid", "Party has priority over raid" },
	{ "healingRaidPets", "Heals non-party raid pets" },
	{ "healingRaid", "Heals non-party raid members" },
	{ "healingPets", "Heals party pets" },
	{ "healsParty", "Heals party members" },
	{ "targetPriority", "Target healed before anyone else" },
	{ "messagesParty", "Heal messages sent to party chat" },
	{ "priorityRaidGroup1", "1" },
	{ "priorityRaidGroup2", "2" },
	{ "priorityRaidGroup3", "3" },
	{ "priorityRaidGroup4", "4" },
	{ "priorityRaidGroup5", "5" },
	{ "priorityRaidGroup6", "6" },
	{ "priorityRaidGroup7", "7" },
	{ "priorityRaidGroup8", "8" },
	{ "priorityRaidPets", "Raid pets have same priority as members" },
	{ "classPriorityOverParty", "High priority classes have priority over party" },
	};

--	The order of these is critical because the ids in the XML match
--	the indices in this table.
_smh_sliderTitleFormats = {
	{ "threshold", "Limit to health before healing: %d %%" },
	{ "petThreshold", "Limit to health before pet healing: %d %%" },
	{ "selfThreshold", "Limit to health before self priority: %d %%" },
	{ "healPercentage", "Possible healing to use in comparisons: %d %%" },
	{ "minimapButtonAngle", "Angle of minimap button: %d" },
	{ "overhealRankHealingTouch", "Healing Touch: %d" },
	{ "overhealRankRegrowth", "Regrowth: %d" },
	{ "overhealRankRejuvenation", "Rejuvenation: %d" },
	};

_smh_healingPatterns = { "^Equip: .* healing .* (%d+).", "^Passive: .* healing .* (%d+).", "^Set: .* healing .* (%d+).", "^%+(%d+) Healing", "^Healing .* %+(%d+)" };
